BLAH_JOB_REGISTRY_SC(1)

NAME
blah_job_registry_scan_by_subject - Query the registry.

SYNOPSIS

blah_job_registry_scan_by_subject [options]

DESCRIPTION

The command blah_job_registry_scan_by_subject prints the content of the registry.

With no options specified all the jobs contained in the registry are dumped.

OPTIONS

-h proxy subject hash
    specify the proxy subject hash

-s proxy subject
    specify the proxy subject

-j job status
    specify the job status, available values are:

        • unexpanded (0)

        • idle (1)

        • running (2)

        • removed (3)

        • completed (4)

        • held (5)

EXIT STATUS

blah_job_registry_scan_by_subject exits with a status value of 0 (zero) upon success and >0 (greater than zero) upon failure.

SEE ALSO

blah_job_registry_add(1), blah_job_registry_lkup(1) blah_job_registry_dump(1)

AUTHOR

Massimo Mezzadri <Massimo.Mezzadri@mi.infn.it>
    Developer of the BLAHP suite